<?php 
 include("header.php");
 include("conexionOdo.php");

 $le = $_GET['cot'];
 $lin   = base64_decode($le);
 $linea = explode("/", $lin);
 $s_cotizacion = $linea[0];
 $s_tipoId     = $linea[1];
 $s_numId      = $linea[2];
 
 // TRAE DATOS DEL PACIENTE
 $query = "SELECT * FROM `SIME_BAS_PACIENTE` WHERE `tipoId` = '$s_tipoId' AND `idPaciente` =  $s_numId";
 $result = mysql_query($query) or die('Consulta de paciente fallidaffff: ' . mysql_error());
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $s_apell1Paciente   = $line["apell1Paciente"]; 
 $s_apell2Paciente   = $line["apell2Paciente"]; 
 $s_nomPaciente      = $line["nomPaciente"]; 
 $s_nomPaciente2     = $line["nomPaciente2"]; 
 
 // Liberar resultados
 mysql_free_result($result); 
 
?> 


<table align="center" width="960">
  <tr class="camposLista">
            <td width="100%"  align="center"><span class="icon-clipboard" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#e67e22;">DETALLES DEL PRESUPUESTO </span> </span></td> 
   </tr>
</table>
 
 <!--<table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">  
   <tr class="camposTabla"> 
      <td width="30%" class="subtutulosTabla" align="center">Paciente:</td> 
      <td width="70%" class="titulosTabla1" align="left">
        <b><?=$s_tipoId?>  <?=$s_numId?> - <?=$s_nomPaciente?> <?=$s_nomPaciente2?> <?=$s_apell1Paciente?> <?=$s_apell2Paciente?></b>
      </td> 
   </tr> 
 </table>  -->
 
<?php 
 $sumaTotal = 0;
 //arma tabla diagnosticos y procedimientos elegidos
 $query = " SELECT A.*,  B.descripcion, C.nomCie10, D.desTratamiento" .
                  " FROM SIO_COTIZACION_DET A, SIO_PROC_POS B, SIO_CIE10 C, SIO_LIS_TRAT D ".
                  " WHERE A.numCotiza = $s_cotizacion AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 AND ".
                  "       A.codEspecialidad = D.codTratamiento order by A.numDiente"; 
 $result = mysql_query($query) or die('Consulta de diagnosticos y procedimientoos fallida: ' . mysql_error());
        
 $k=0;
 while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
   $codMed    = $line["codMedPos"];
   $s_cuadrante       = $line['cuadrante'];
   $s_numDiente       = $line['numDiente'];
   $s_caraDiente      = $line['caraDiente'];
   $_codCie10         = $line['codCie10'];
   $s_nomCie10        = $line['nomCie10'];
   $s_descripcion     = $line['descripcion'];
   $s_desTratamiento  = $line['desTratamiento']; 
   $s_valor           = $line['valor'];
   $sumaTotal         = $sumaTotal + $s_valor;
   $valor1            = number_format($s_valor);
   $s_observaciones   = $line['observaciones'];    
   $sumaTotal1 = number_format($sumaTotal);
          
   echo("<table align='center' width='960' border='0' cellpading='0'>\n");
    if ($k==0){// para mostrar titulos 
      //echo ("<tr>\n");
      //  echo("<td class='titulosLista' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS COTIZADOS</td>\n");
      //echo("</tr>\n");
      echo("<tr class='titulosLista'>\n");
        echo("<td width='150' class='negrita'>Cuadrante/Diente/Cara </td>\n");
        echo("<td width='250' class='negrita'>Diagn&oacute;stico</td>\n");
        echo("<td width='200' class='negrita'>Procedimiento</td>\n");
        echo("<td width='200' class='negrita'>Especialidad</td>\n");
        echo("<td width='160' align='center' class='negrita'>Valor</td>\n"); 
      echo("</tr>\n");
    }       
    echo ("<tr class='camposLista'>\n");

    echo("<td width='150' align='center' class='camposTabla'>$s_cuadrante-$s_numDiente-$s_caraDiente</td>\n");
      echo("<td width='250'class='camposTabla1' align='left'>$s_nomCie10</td>\n");
      echo("<td width='200' class='camposTabla1' align='left'>$s_descripcion</td>\n");
      echo("<td width='200' class='camposTabla1' align='left'>$s_desTratamiento</td>\n");
      echo("<td width='160' align='right'>$valor1</td>\n");          
     echo("</tr>\n");
        
   $k = $k+1;
 }//while
                  
 echo("</table>\n");          
     
?>
<?php
 if ($k>0){
   include("montoEscrito.php");
   $letras=numerotexto($sumaTotal); 
   $letras=$letras . " pesos";
?>  
  <table align='center' width='960' border='0' cellpading='0'>
    <tr class='titulosLista'>
      <td width="200" align="left"><b>Valor Total:</b></td>
      <td width="600"align="left"><i>Son: <?=$letras?></i></td>
      <td width="160"align="right"><b>$ <?=$sumaTotal1?></b></td>
    </tr>
  </table>
<?php
 }
?>

<?php
   $query = " SELECT * FROM SIO_COTIZACION WHERE numCotizacion=$s_cotizacion";   
   $result = mysql_query($query) or die('Consulta de condiciones de la cotizacion fallida: ' . mysql_error());    
   $line = mysql_fetch_array($result, MYSQL_ASSOC);
        
   $s_cInicialPs = number_format($line['cuotaInicialPesos']);
   $saldo = $line['valor'] - $line['cuotaInicialPesos'];
   $s_CinicialPo = number_format($line['cuotaInicialPor']);
   $s_saldoPs    = number_format($saldo);
   $s_numCuotas  = number_format($line['numCuotas']);
   $s_vlrCuota   = number_format($line['valorCuota']);
   $s_fechaVenc  = $line['fechaVencimiento'];
   $s_observa    = $line['observaciones'];
   $s_estado     = $line['estado']; 
   
   if($s_formaPago=="CO"){
     $s_formaPago="Contado";
   }
   else{
     $s_formaPago="Cr&eacute;dito";
   }
          
?>     
 <table align='center' width='960' border='0' cellpading='0'>
   <tr class="negrita">
      <td align ="left" colspan="8">CONDICIONES DE LA COTIZACION</td>
   </tr>
   <br>
   <tr class='camposLista' >
     <td width="160" class="camposTabla">Forma de Pago:</td>
     <td width="100" class="negrita" align="left"><?=$s_formaPago?></td>
     <td width="100" class="camposTabla">% Cuota Inicial:</td>
     <td width="100" class="negrita" align="left"><?=$s_CinicialPo?>%</td>
     <td width="100" class="camposTabla">Cuota Inicial:</td>
     <td width="100" class="negrita" align="left">$ <?=$s_cInicialPs?></td>
     <td width="100" class="camposTabla">Saldo:</td>
     <td width="100" class="negrita" align="left">$ <?=$s_saldoPs?></td>
   </tr>
   <tr class="camposLista">
     <td width="160" class="camposTabla">No. de Cuotas:</td>
     <td width="100" class="negrita" align="left"><?=$s_numCuotas?></td>
     <td width="100" class="camposTabla">Valor de la Cuota:</td>
     <td width="100" class="negrita" align="left">$ <?=$s_vlrCuota?></td>
     <td width="200" class="camposTabla">Fecha de vencimiento:</td>
     <td width="100" class="negrita" align="left"><?=$s_fechaVenc?></td>
   </tr>
   <tr>
       <td colspan="8"><HR width=100% align="center"></td>
   </tr>
   <?php
 
   if ($s_observa !="")
    {
   ?>
   <tr class="camposTabla">
    <td class="negrita" align="left">Observaciones adicionales:</td>
   <tr> 
   <tr>
    <td class="camposTabla"><?=$s_observa?></td>
   <tr> 
   <tr class="camposTabla">
       <td colspan="8"><HR width=100% align="center"></td>
   </tr>
   <?php
    }
   ?> 
 </table>      
 
 <?php
   session_start();  
   $_SESSION['grPac'] = "N";
 ?>
 
 <table align='center' width='960' border='0' cellpading='0'>
  <tr>
   <!--<td align="left"> 
     <a href=proPaciente.php title="Men&uacute; Principal"><img src="imagenes/btnVol.jpg"></a>
   </td>-->
   
   <?php
    $w_fecha = date("Y-m-d",time());
    if($w_fecha < $s_fechaVenc)
    {
      //linea de envio a detalles
       $le = "$s_cotizacion/$s_tipoId/$s_numId";
       $leDX = base64_encode($le);
   ?> 
     <td>
       <a href=impCotizaCon.php?lin=<?=$leDX?> target="_new"><image src="imagenes/impCot.jpg"></a></td>
     </td>
   <?php   
    }
   ?> 
   
    <?php
      if ($s_estado=="C")
      { 
       //linea de envio a detalles
       $le = "$s_cotizacion/$s_tipoId/$s_numId/C/$s_cotizacion";
       $leDX = base64_encode($le);
    ?>
      <!--<td align="right"> 
       <a href=sioTraBarPaso1.php?lin=<?=$leDX?>><image src="imagenes/iniTrat.jpg"></a></td>
      </td>-->
   <?php
     }
   ?>
  </tr> 
 </table>
</html> 
          